<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            ALTER TABLE production_quantities
            ADD COLUMN machine_id BIGINT DEFAULT NULL,
            ADD CONSTRAINT production_quantities_machine_id_fkey
            FOREIGN KEY (machine_id) REFERENCES machines(id);
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('production_quantities', function (Blueprint $table) {
        //     //
        // });
    }
};
